/*                      SAMPLE05.C

    Creating a horizontal lightbar type menu.
*/
#include <window.h1>  /* All programs using TCWINDOW must include
                         this header file.*/
main()
{
   initwindows(DOUBLE,GREEN,WHITE,GREEN,BLACK); /* Must always be called
                                                   before any other
                                                   TCWINDOW functions */

   snapshot(); /* store the current screen */
  	clrscr(); /* clear the screen.*/
	  cursoroff(); /* turn the cursor off till we restore screen */
	  scrncolor(BLUE,LTGRAY); /* set screen background color to BLUE
		                   and background text to LTGRAY.*/

   /* Create a window wide enough to hold all menu choices while
      leaving a little space between choices for appearance sake.
      Don't go to the trouble of exactly measuring the menu spacing,
      TCWINDOW will automatically center your menu selections for you.
      Making the menu 3 rows deep gives a good appearance but it can
      be deeper.  TCWINDOW will also center your menu selections
      vertically.*/

   makewindow(1,3,3,5,75,"Horizontal Menubar Example",SHADOW);

   /* initchoicesh() will now center your menu selections both
      horizontally and vertically.  You may have to massage the
      window size or position to produce the best appearance in
      your own programs. This function also creates a reverse video
      'menubar' and positions it on your first menu selection.*/

   initchoicesh(1,"CHOICE 1,CHOICE 2,CHOICE 3,CHOICE 4,QUIT");

   /* Now use getchoice() to return the selected menu option. getchoice()
      allows you to use the arrow keys to move the menubar. Hitting
      enter makes the selection.*/

   while (getchoice(1) != 5)  /* Continue getting selections until
		                         QUIT is selected.*/
      ;

   removewindow(1); /* remove window 1 from the screen */

   develop(); /* restore the original screen */
   cursoron(); /* turn the cursor back on */

}
